package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;

import agilpizza.modelo.QuantidadeDeIngrediente;

public class QuantidadeDeIngredienteTest {
	@Test
	public void testeIngredientePossuiNome() throws Exception {

		String nome = "Queijo Branco";
		Ingrediente ingrediente =new Ingrediente(nome);
		QuantidadeDeIngrediente ingr = new QuantidadeDeIngrediente(ingrediente);
		assertEquals("QuantidadeDeIngrediente deve ter nome especificado.", nome,
				ingr.getIngrediente().getNome());
	}
	
}
